Bug 80613 - RFE: please pre-configure USB scanner!!
RFE: please pre-configure USB scanner!!
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-12-28 14:27 EST by Elton Woo
Modified: 2014-03-16 22:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-23 15:56:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Elton Woo 2002-12-28 14:27:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
Usbview and the Hardware Browser both correctly detect and identify my
Seiko Epson Corp. Perfection 610 USB scanner. Yet each time I install a version
of Red Hat, I have to manually edit the /etc/sane.d/epson.conf file, which by
shows "SCSI  ...". Please preconfigure this for new users (or new converrs from
closed source OSes. Other linux distros have been doing this for several of *their*

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1 Run Xsane
2. Xsane complains "no hardware device found'
3. Open a root console and edit /etc/sane.d/{scanner name}.conf

Expected Results:  Xsane should run without complaint, since both USB view and
the Hardware Browser
both correctly detect and identify this peripheral.

Additional info:
Comment 1 Bill Nottingham 2003-01-01 00:35:55 EST
What are the changes that are needed to be made?
Comment 2 Tim Waugh 2003-01-01 07:33:14 EST
You need a mapping from SCSI/USB device to sane backend name.  Then you need to
add a new line to /etc/sane.d/dll.conf containing that name, and (optionally),
write out /etc/sane.d/<name>.conf.

In that file, you need to write a 'scsi' or 'usb' line identifying the device(s)
it ought to look at, and a device filename for it to open.  All these
configuration files have man-pages, if that helps.
Comment 3 Elton Woo 2003-02-26 00:25:11 EST
See also "Bug" 85016 (RFE).
Comment 4 Elton Woo 2003-08-04 13:53:35 EDT
Sorry to be "harping on this" but if other vendors can provide (and have been)
providing this functionality, I am unhappy that Red Hat (at least, up to now) 
... is unable to do so. 

I am still using the very same Epson 610U scanner with Severn.
Several versions ago (RH, or other linux vendor), I needed to append
the following line in my /etc/rc.local file:

modprobe scanner vendor=0x04b8 product=0x0103 
This is no longer necessary.

The above vendor and product information is still available from
http://www.linux-usb.org/ (USB Vendor/Device IDs list).

I wonder if there is not some way to "incorporate" this into modprobe,
and thence kudzu can autoconfigure the /etc/sane.d/*.conf file as
each USB device is detected?
Comment 5 Bill Nottingham 2005-09-23 15:56:06 EDT
Realistically, sane should be ported to HAL and should query scanners and their
capabilities dynamically through that. Until that happens, it's unlikely that
code will change in kudzu (even things such as making symlinks is now not
something for kudzu, since it needs to be done at device creation time via udev.)

Hence, closing this out.

Note You need to log in before you can comment on or make changes to this bug.